from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTabController(XInterface, Protocol):
    def setModel(self, Model: XTabControllerModel) -> None: ...
    def getModel(self) -> XTabControllerModel: ...
    def setContainer(self, Container: XControlContainer) -> None: ...
    def getContainer(self) -> XControlContainer: ...
    def getControls(self) -> list[XControl]: ...
    def autoTabOrder(self) -> None: ...
    def activateTabOrder(self) -> None: ...
    def activateFirst(self) -> None: ...
    def activateLast(self) -> None: ...
